Qt 5.6 | Qt Multimedia | C++ Classes | QCamera

Qt 5.6.2 Reference Documentation

# Obsolete Members for QCamera

The following members of class QCamera are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` QList<QByteArray> | availableDevices()
`(obsolete)` QString | deviceDescription(const QByteArray &device)

- 1 static public member inherited from QObject

## Member Function Documentation

### `[static]` QList<QByteArray> QCamera::availableDevices()

Returns a list of camera device's available from the default service provider.

See also QCameraInfo::availableCameras().

### `[static]` QString QCamera::deviceDescription(const QByteArray &device)

Returns the description of the device.

See also QCameraInfo::availableCameras() and QCameraInfo::description().